\ProvidesPackage{beamerthemeKTU}[2013/03/10]

\definecolor{CLight}{RGB}{0,0,0}
\definecolor{CDark}{RGB}{46,77,97}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Outer theme
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\useoutertheme[width=.15\paperwidth]{sidebar}
\setlength{\beamer@headheight}{.165\paperheight}
\pgfdeclareimage[width=.10\paperwidth]{small-logo}{style/ktu_small}
\pgfdeclareimage[width=.23\paperwidth]{main-logo}{style/ktu_big}
\pgfdeclareimage[width=.33\paperwidth]{large-corner}{style/large-corner}
\pgfdeclareimage[height=\beamer@headheight]{small-corner}{style/small-corner}
\setbeamertemplate{sidebar left}{%
\vskip 7pt
\insertverticalnavigation{\beamer@sidebarwidth}%
}

\setbeamertemplate{footline}[text line]{%
\insertshortauthor\strut\hfill\insertshorttitle\hfill\insertshortdate\hspace{1em}\insertframenumber/\inserttotalframenumber}

\addtobeamertemplate{frametitle}{}{%
\begin{pgfpicture}
\pgf@relevantforpicturesizefalse
\pgftransformxshift{-\Gm@lmargin}
\pgftransformyshift{\beamer@headheight+18pt}
\pgftext[at=\pgfpoint{\paperwidth}{-\beamer@headheight},right,base]{\pgfuseimage{small-corner}}
\pgfpathmoveto{\pgfpoint{.15\paperwidth}{0pt}}
\pgfpathlineto{\pgfpoint{.15\paperwidth}{-\beamer@headheight}}
\pgfsetlinewidth{3.5pt}
\pgfsetinnerlinewidth{1pt}
\pgfsetinnerstrokecolor{CLight}
\pgfsetcolor{white}
\pgfusepath{stroke}
\pgfpathmoveto{\pgfpoint{.15\paperwidth}{-.23\paperheight}}
\pgfpathlineto{\pgfpoint{.15\paperwidth}{-.97\paperheight}}
\pgfsetlinewidth{1pt}
\pgfsetinnerlinewidth{0pt}
\pgfsetcolor{CLight}
\pgfusepath{stroke}
\pgftext[at=\pgfpoint{.075\paperwidth}{-.15\paperheight},center,base]{\pgfuseimage{small-logo}}
\end{pgfpicture}%
\vskip-25pt%
}

\addtobeamertemplate{title page}{%
\usebeamertemplate{title background}%
\vskip .2\paperheight%
}
{}

\newcommand\DoPurpleBackground{%
\pgfpathmoveto{\pgfpointorigin}
\pgfpathrectanglecorners{\pgfpoint{0pt}{0pt}}{\pgfpoint{\paperwidth}{-\paperheight}}
\pgfsetfillcolor{CDark}
\pgfusepath{fill}
}

\setbeamertemplate{title background}{%
\begin{pgfpicture}
\pgf@relevantforpicturesizefalse
\pgftransformxshift{-\Gm@lmargin}
\pgftransformyshift{5.5pt}
\pgfusepath{fill}
\DoPurpleBackground

% Logo
\pgftext[at=\pgfpoint{.45\paperwidth}{-.20\paperheight},left,base]{\pgfuseimage{main-logo}}

\end{pgfpicture}%
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Inner Theme
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\useinnertheme{rectangles}
\setbeamertemplate{navigation symbols}{}

\setlength{\leftmargini}{.5em}
\setlength{\leftmarginii}{1.0em}
\setlength{\leftmarginiii}{1.5em}
\setlength{\leftmarginiv}{2.0em}
\setlength{\leftmarginv}{2.5em}
\setlength{\leftmarginvi}{3.0em}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Colours
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\usecolortheme[named=CLight]{structure}
\usecolortheme{rose}
\setbeamercolor{title page}{fg=white}
\setbeamercolor{logo}{bg=CLight}
\setbeamercolor{frametitle}{fg=white,bg=CDark}
\setbeamercolor{section in sidebar}{fg=CLight}
\setbeamerfont{section in sidebar}{series=\bfseries}
\setbeamercolor{section in sidebar shaded}{fg=CDark}
\setbeamercolor{subsection in sidebar shaded}{fg=CDark}
\setbeamercolor{block title}{bg=CDark!28!white,fg=CDark}
\setbeamercolor{block body}{bg=CLight!15!white}

\newcommand\ThankYouFrame{
\begin{frame}[plain,t]
\begin{pgfpicture}
\pgf@relevantforpicturesizefalse
\pgftransformxshift{-\Gm@lmargin}
\pgftransformyshift{5.5pt}
\DoPurpleBackground
\end{pgfpicture}
\end{frame}
}
